/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { SubArrayLOW } from './sub-array-low';
// May contain unused imports in some cases
// @ts-ignore
import { SubarrayBeamConfiguration } from './subarray-beam-configuration';

/**
 * MCCSAllocation is a Python representation of the MCCS allocation segment of a scheduling block.  :param mccs_allocation_id: stations ID\'s to allocate :param selected_subarray_definition: name of pre-defined/standard configuration :param subarray_beams: subarray beam list
 * @export
 * @interface MCCSAllocation
 */
export interface MCCSAllocation {
    /**
     * 
     * @type {string}
     * @memberof MCCSAllocation
     */
    'mccs_allocation_id': string;
    /**
     * 
     * @type {SubArrayLOW}
     * @memberof MCCSAllocation
     */
    'selected_subarray_definition': SubArrayLOW;
    /**
     * 
     * @type {Array<SubarrayBeamConfiguration>}
     * @memberof MCCSAllocation
     */
    'subarray_beams': Array<SubarrayBeamConfiguration>;
}



